module.exports = {
  Route_config(ro) {
    var arr = [];
    for (let key in ro) {
      let method = key;
      for (let k in ro[key]) {
        let url = k;
        if (!/^\//.test(url)) {
          url = url.split(",");
          url = url[1] ? new RegExp(url[0], url[1]) : new RegExp(url[0]);
        }
        let ac = ro[key][k].split("#");
        let con = ac[0];
        let actions = ac[1].split("&&");
        let view = ac[2];
        arr.push({method, url, con, actions, view});
      }
    }
    return arr;
  },

  Controller_all(path) {
    const {readdirSync} = require("fs");
    let all = {}
    let doc = readdirSync(path);

    for (let v of doc) {
      let filename = v.split(".");
      if (filename[filename.length - 1] !== "js") {
        continue;
      }
      all[filename[0]] = require(`${path}/${v}`);
    }
    return all;
  }
}
